<div class="cs-list-heading-light">
  <app-breadcrumb [items]="breadcrumbItems"></app-breadcrumb>
  <span class="header-h1 cs-list-heading-light-header">{{ 'app.main.menu.eDelivery' | translate }}</span>
  <span class="cs-list-heading-light-description">{{ 'app.main.header.eDelivery' | translate }}</span>
  <div class="eui-u-flex eui-u-mb-m" *ngIf="displayTopBtns.length > 0">
    <button
      *ngFor="let btn of displayTopBtns; trackBy: trackByFn; let idx = index"
      (click)="handleTopBtnClicked(btn)"
      euiButton
      euiPrimary
      euiOutline="{{ btn.outline }}"
      class="cs-list-heading-light-button {{ idx > 0 ? 'eui-u-ml-m' : '' }}">
      <eui-icon-svg class="eui-u-mr-s" icon="{{ btn.icon }}" set="outline" size="m" fillColor="grey-100"></eui-icon-svg>
      {{ btn.key | translate }}
    </button>
  </div>
</div>
<div class="cs-list-light-wrapper">
  <app-e-delivery-list
    [userCountry]="userCountry"
    [userPermissions]="userPermissions"
    [saveFilter]="listFilterEnum.E_DELIVERY_LIST"
    [tableSettings]="tableSettings"
    [tableDataOptions]="tableDataOptions"
    (rowAction)="handleRowAction($event)"></app-e-delivery-list>
</div>

<eui-dialog #eDeliveryDialog [width]="'1036px'">
  <eui-dialog-header>
    <span class="header-h2 header-h2-bold">{{ 'app.details.eDelivery.title.deleteNode' | translate }}</span>
    <span
      euiIcon
      iconClass="eui-icon eui-icon-close-m eui-icon--size-xs eui-icon--primary eui-u-text-right dialog-icon-close"
      (click)="handleDialogActions('deleteEDeliveryDiscardChanges')">
    </span>
  </eui-dialog-header>
  <eui-dialog-footer>
    <div class="eui-u-flex">
      <div class="eui-u-flex eui-u-flex-end">
        <app-list-row-action (btnClicked)="handleDialogActions($event)" [buttons]="dialogButtons"></app-list-row-action>
      </div>
    </div>
  </eui-dialog-footer>
  <div class="eui-u-flex">
    <span
      euiIcon
      iconClass="eui-icon eui-icon-ecl-faq eui-icon--primary eui-icon-3x
              eui-icon&--rounded discard-dialog-icon"></span>
    <span class="p dialog-text eui-u-ml-xl">{{
      'app.details.eDelivery.confirmation.deleteNode' | translate: { name: selectedEDelivery?.name }
    }}</span>
  </div>
</eui-dialog>
